unit SDIMAIN;

interface

uses Windows, Classes, Graphics, Forms, Controls, Menus,
  Dialogs, StdCtrls, Buttons, ExtCtrls, ComCtrls, ImgList, StdActns,
  ActnList, ToolWin, SysUtils, SHFolder  ;

type
  TSDIAppForm = class(TForm)
    OpenDialog: TOpenDialog;
    SaveDialog: TSaveDialog;
    ToolBar1: TToolBar;
    ToolButton9: TToolButton;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ToolButton4: TToolButton;
    ToolButton5: TToolButton;
    ToolButton6: TToolButton;
    ActionList1: TActionList;
    FileNew1: TAction;
    FileOpen1: TAction;
    FileSave1: TAction;
    FileSaveAs1: TAction;
    FileExit1: TAction;
    EditCut1: TEditCut;
    EditCopy1: TEditCopy;
    EditPaste1: TEditPaste;
    HelpAbout1: TAction;
    StatusBar: TStatusBar;
    ImageList1: TImageList;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    FileNewItem: TMenuItem;
    FileOpenItem: TMenuItem;
    FileSaveItem: TMenuItem;
    FileSaveAsItem: TMenuItem;
    N1: TMenuItem;
    FileExitItem: TMenuItem;
    Edit1: TMenuItem;
    CutItem: TMenuItem;
    CopyItem: TMenuItem;
    PasteItem: TMenuItem;
    Help1: TMenuItem;
    HelpAboutItem: TMenuItem;
    FileRecent: TAction;
    Recent1: TMenuItem;
    acDrawPolyline: TAction;
    Draw1: TMenuItem;
    acDrawPolyline1: TMenuItem;
    acDrawCircle: TAction;
    Circle1: TMenuItem;
    Arc1: TMenuItem;
    procedure FileNew1Execute(Sender: TObject);
    procedure FileOpen1Execute(Sender: TObject);
    procedure FileSave1Execute(Sender: TObject);
    procedure FileExit1Execute(Sender: TObject);
    procedure HelpAbout1Execute(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure FileRecentExecute(Sender: TObject);
    procedure FileSaveAs1Execute(Sender: TObject);
    procedure acDrawPolylineExecute(Sender: TObject);
    procedure acDrawCircleExecute(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Arc1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SDIAppForm: TSDIAppForm;
  gi, hLcWnd, hLcDrw, hLcCwn, hView, bRet: integer;
  hwMain: HWND;


implementation

uses about, Litecad;

{$R *.dfm}

//--------------------------------------------------
function GetSpecialFolderPath(folder : integer) : string;
 const
   SHGFP_TYPE_CURRENT = 0;
 var
   path: array [0..MAX_PATH] of char;
 begin

   if SUCCEEDED(SHGetFolderPath(0,folder,0,SHGFP_TYPE_CURRENT,@path[0])) then
     Result := path
   else
     Result := ExtractFileDir (Application.ExeName);

 end;

//--------------------------------------------------
Procedure UpdateTitle();
var
  psFileName: PWideChar;
begin

  psFileName := lcPropGetStr( hLcDrw, LC_PROP_DRW_FILENAME );
  if psFileName='' then psFileName := lcStrGet('APP_NONAME');

  SDIAppForm.Caption := psFileName;

end;


//-----------------------------------------------
procedure MouseDownProc (lcWin, Button,Flags,Xwin,Ywin:Integer; Xdrw,Ydrw:Double); stdcall;
begin

  if lcWin=hLcWnd then begin

    if (Button=LC_LBUTTON) then begin
      SDIAppForm.StatusBar.SimpleText := FloatToStr(Xdrw) + ' , ' + FloatToStr(Ydrw);
    end;

  end;

end;

//-----------------------------------------------
Function lcSaveChanges(): boolean;
var
  isNamed: Boolean;
  i: integer;
  psFileName: PWideChar;
  szText: string;
begin

  result := False;
  isNamed := True;

  if hLcDrw>0 then begin
    if lcPropGetBool( hLcDrw, LC_PROP_DRW_DIRTY )>0 then begin
      psFileName := lcPropGetStr( hLcDrw, LC_PROP_DRW_FILENAME );
      if psFileName='' then begin
        psFileName := lcStrGet('APP_NONAME');
        isNamed := False;
      end;
      szText := Format(lcStrGet('APP_SAVECHANGES'), [psFileName]);

      i := MessageBox(0, @szText[1], 'title', +MB_YESNOCANCEL +MB_ICONQUESTION);
      if i=IDYES then begin // save changes and close file
        //ShowMessage('__IDYES__');
        if isNamed then begin
          bRet := lcDrwSave( hLcDrw, '<Origin>', 1, hwMain );
        end else begin
          bRet := lcDrwSave( hLcDrw, '<Dialog>', 1, hwMain );
        end;
        result := True;
      end else if i=IDNO then begin // don't save changes but close file
        //ShowMessage('__IDNO__');
        result := True;
      end else if i=IDCANCEL then begin // don't close file
        //ShowMessage('__IDCANCEL__');
        result := False;
      end;
    end else begin
      result := True;
    end;
  end;


end;

procedure TSDIAppForm.FileNew1Execute(Sender: TObject);
begin
  // - Button: FileNew -
  
  if Not(lcSaveChanges()) then exit;

  // new empty drawing
  lcDrwNew( hLcDrw, '', hLcWnd);


  hView := lcPropGetHandle( hLcDrw, LC_PROP_DRW_VIEW );
  lcWndSelectView( hLcWnd, hView );

  UpdateTitle();
  lcWndSetFocus( hLcWnd );

end;

procedure TSDIAppForm.FileOpen1Execute(Sender: TObject);
begin
  // - Button: FileOpen -

  if Not(lcSaveChanges()) then exit;

  bRet := lcDrwLoad( hLcDrw, '<Dialog>', hwMain, hLcWnd );
  if bRet>0 then begin
   lcWndSelectView( hLcWnd, 0 );
    hView := lcPropGetHandle( hLcDrw, LC_PROP_DRW_VIEW );
    lcWndSelectView( hLcWnd, hView );
  end else begin
    gi := lcGetErrorCode();
    //ShowMessage('__' + IntToStr(gi) + '__');
  end;

  UpdateTitle();
  lcWndSetFocus( hLcWnd );


end;

procedure TSDIAppForm.FileRecentExecute(Sender: TObject);
begin
  // - Button: FileRecent -

  if Not(lcSaveChanges()) then exit;

  bRet := lcDrwLoad( hLcDrw, '<Recent>', hwMain, hLcWnd );
  if bRet>0 then begin
    lcWndSelectView( hLcWnd, 0 );
    hView := lcPropGetHandle( hLcDrw, LC_PROP_DRW_VIEW );
    lcWndSelectView( hLcWnd, hView );
  end else begin
    gi := lcGetErrorCode();
    //ShowMessage('__' + IntToStr(gi) + '__');
  end;
  UpdateTitle();
  lcWndSetFocus( hLcWnd );

end;

procedure TSDIAppForm.FileSave1Execute(Sender: TObject);
var
  psFileName: PWideChar;
begin
  // - Button: FileSave -

  if hLcDrw>0 then begin

    psFileName := lcPropGetStr( hLcDrw, LC_PROP_DRW_FILENAME );
    if psFileName='' then begin
      psFileName := lcStrGet('APP_NONAME');

      bRet := lcDrwSave( hLcDrw, '<Dialog>', 1, hwMain );
    end else begin
      bRet := lcDrwSave( hLcDrw, '<Origin>', 1, hwMain );
    end;

  end;
  lcWndSetFocus( hLcWnd );

end;

procedure TSDIAppForm.FileSaveAs1Execute(Sender: TObject);
begin
  // - Button: FileSaveAs -

  if hLcDrw>0 then begin

    bRet := lcDrwSave( hLcDrw, '<Dialog>', 1, hwMain );

  end;
  lcWndSetFocus( hLcWnd );
  
end;

procedure TSDIAppForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin

  if hLcWnd>0 then lcDeleteWindow (hLcWnd);
  if hLcDrw>0 then lcDeleteDrawing (hLcDrw);

  lcUninitialize (1);

end;

procedure TSDIAppForm.FormCreate(Sender: TObject);
var
  i, j: Integer;
  sFold: string;
begin

  hwMain := SDIAppForm.Handle;

//  sFold := GetSpecialFolderPath(CSIDL_APPDATA) + '\LiteCAD_SDIMain' ;
//  if Not(DirectoryExists(sFold)) then ForceDirectories(sFold);

  gi := lcInitialize ();
  lcPropPutStr( 0, LC_PROP_G_REGCODE, '12345' );

  lcOnEventMouseDown(@MouseDownProc);

  // create LiteCAD design window
  hLcWnd := lcCreateWindow(hwMain, LC_WS_DEFAULT or LC_WS_VIEWTABS, 0, 100, self.width-10, self.Height-200);

  // create LiteCAD command window
  i := lcPropGetInt(hLcWnd, LC_PROP_WND_HEIGHT) + 70;
  j := lcPropGetInt(hLcWnd, LC_PROP_WND_WIDTH);
  hLcCwn := lcCreateCmdwin(hwMain, 0, i, self.width-10, 70);
  lcWndSetCmdwin ( hLcWnd, hLcCwn );

  // create a drawing
  hLcDrw := lcCreateDrawing();

  // assign the drawing view to the window
  hView := lcDrwGetFirstObject(hLcDrw, LC_OBJ_VIEW);
  lcWndSelectView(hLcWnd, hView);

end;

procedure TSDIAppForm.FormResize(Sender: TObject);
var
  W, H, i, j : Integer;
begin

  lcGetClientSize( Handle, @W, @H );
  lcWndResize( hLcWnd, 0, 30, W, H-130 );

  i := lcPropGetInt(hLcWnd, LC_PROP_WND_HEIGHT) + 70;
  j := lcPropGetInt(hLcWnd, LC_PROP_WND_WIDTH);

  lcCmdwinResize (hLcCwn, 0, i, self.width-10, 70);


  Invalidate();

end;

procedure TSDIAppForm.acDrawCircleExecute(Sender: TObject);
begin
  // - Button: Circle -

  lcWndExeCommand( hLcWnd, LC_CMD_CIRCLE, 1 );
  lcWndSetFocus(hLcWnd);

end;

procedure TSDIAppForm.acDrawPolylineExecute(Sender: TObject);
begin
  // - Button: polyline -

  lcWndExeCommand( hLcWnd, LC_CMD_PLINE, 0 );
  lcWndSetFocus(hLcWnd);
  
end;

procedure TSDIAppForm.Arc1Click(Sender: TObject);
begin
  lcWndExeCommand( hLcWnd,LC_CMD_ARC,0 );
//  lcWndExeCommand( hLcWnd,LC_CMD_STRETCH,0 );
end;

procedure TSDIAppForm.FileExit1Execute(Sender: TObject);
begin
  // - Button: FileExit -
  
  if Not(lcSaveChanges()) then exit;

  Close;

end;

procedure TSDIAppForm.HelpAbout1Execute(Sender: TObject);
begin

  AboutBox.ProductName.Caption := 'LiteCAD in Delphi';
  AboutBox.ShowModal;

end;

end.
