unit ChildDraw;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, ComCtrls, ToolWin, ImgList, Buttons, ExtCtrls, Math, StdCtrls, Tabs;

type
  TFormDraw = class(TForm)
    OpenDialog: TOpenDialog;
    SaveDialog: TSaveDialog;
    PanelProp: TPanel;
    DivProp: TSplitter;
    PanelBDraw: TPanel;
    PanelDraw: TPanel;
    cBar1: TControlBar;
    tbDraw: TToolBar;
    tbLayers: TToolButton;
    PanelCmd: TPanel;
    DivCmd: TSplitter;
    ImageList1: TImageList;
    ToolButton4: TToolButton;
    CoolBar1: TCoolBar;
    ToolBarDraw: TToolBar;
    tbPonto: TToolButton;
    tbLine: TToolButton;
    tbMLine: TToolButton;
    tbPolyLine: TToolButton;
    tbArco: TToolButton;
    tbCirculo: TToolButton;
    tbRect: TToolButton;
    tbElipse: TToolButton;
    tbTexto: TToolButton;
    tbBloco1: TToolButton;
    tbBloco2: TToolButton;
    tbHatch: TToolButton;
    btProperties: TToolButton;
    tbErase: TToolButton;
    tbCopy: TToolButton;
    tbMove: TToolButton;
    tbTotate: TToolButton;
    tbScale: TToolButton;
    tbMirror: TToolButton;
    tbExplode: TToolButton;
    tbExtende: TToolButton;
    tbTrim: TToolButton;
    tbJoin: TToolButton;
    tbBoundary   : TToolButton;
    ToolBar5: TToolBar;
    tbRecent: TToolButton;
    ToolButton19: TToolButton;
    tbPanRT: TToolButton;
    tbZoomRT: TToolButton;
    tbZoomW: TToolButton;
    tbZoomEx: TToolButton;
    btZoomP: TToolButton;
    ToolButton2: TToolButton;
    tbDesenhar: TToolButton;
    ToolBarSnap: TToolBar;
    tbPontoFinal: TToolButton;
    tbPontoMedio: TToolButton;
    tbCenter: TToolButton;
    tbNode: TToolButton;
    tbInterserccao: TToolButton;
    tbPerpendicular: TToolButton;
    tbTangente: TToolButton;
    tbNearest: TToolButton;
    tbGrip: TToolButton;
    tbNone: TToolButton;
    tbSnapSettings: TToolButton;
    tbPolarTrackings: TToolButton;
    tbGridSettings: TToolButton;
    ToolButton1: TToolButton;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure btPropertiesClick(Sender: TObject);
    procedure DivCmdMoved(Sender: TObject);
    procedure DivPropMoved(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormDraw   : TFormDraw;
  hLcDrw     ,
  hLcWnd     ,
  hLcBlock   ,
  hLcCmd     ,
  hLcProp    ,
  PanelWidth : Integer;
  hwMain     : HWND;

implementation

uses
  Litecad, Events, MyCMD, Main;

{$R *.dfm}

procedure TFormDraw.FormCreate(Sender: TObject);
var
  WWin, HWin, hView: Integer;
begin

  lcGetClientSize( Handle, @WWin, @HWin );
  if ( (WWin > 0) and (HWin > 0) ) then  begin
    PanelProp.Width := trunc(WWin/5);
  end;

  // define functions for events processing
  lcOnEventAddCommand  ( @EventAddCommand   );
  lcOnEventCmdStart    ( @EventCmdStart     );
  lcOnEventCmdFinish   ( @EventCmdFinish    );
  lcOnEventCmdMouseDown( @EventCmdMouseDown );
  lcOnEventCmdMouseUp  ( @EventCmdMouseUp   );
  lcOnEventCmdMouseMove( @EventCmdMouseMove );
  LcOnEventMouseMove   ( @EventMouseMove    );

  hwMain := PanelDraw.Handle;
  lcInitialize();
  lcPropPutStr( 0, LC_PROP_G_REGCODE, '12345' );
  hLcWnd := lcCreateWindow( hwMain, LC_WS_DEFAULT, 8, 8, 400, 400 );
  // Command line window
  hLcCmd := lcCreateCmdwin( PanelCmd.Handle, 8, 8, 400, 400 );
  // Properties window
  hLcProp := lcCreatePropwin( PanelProp.Handle, 8, 8, 400, 400 );

  lcPropPutInt (0, LC_PROP_G_CURSORSIZE , 5);
  lcPropPutBool(0, LC_PROP_G_CURSORARROW, 0);

  // create a drawing
  hLcDrw := lcCreateDrawing();
  // assign the drawing view to the window
  hView := lcDrwGetFirstObject( hLcDrw, LC_OBJ_VIEW );
  lcWndSelectView(hLcWnd, hView  );
  lcWndSetPropwin(hLcWnd, hLcProp);
  lcWndSetCmdwin (hLcWnd, hLcCmd );
  lcWndSetFocus  (hLcWnd         );
  hLcBlock := lcDrwGetFirstObject( hLcDrw, LC_OBJ_BLOCK );
  PanelWidth := PanelProp.Width;

  FormResize(Sender);

end;

procedure TFormDraw.FormDestroy(Sender: TObject);
begin
  lcUninitialize( 0 );
end;

procedure TFormDraw.FormResize(Sender: TObject);
var
  x, y, w, h,
  WWin, HWin,
  Hcw, Hcad, Cbc, Wcad : Integer;
begin
  lcGetClientSize( Handle, @WWin, @HWin );
  if ( (WWin > 0) and (HWin > 0) ) then  begin
    // Height of toolbar
    Hcw := 55;

    Hcad := HWin;

    PanelBDraw.Left   := PanelProp.Width + DivProp.Width;
    PanelBDraw.Height := HWin;
    PanelBDraw.Width  := WWin - PanelProp.Width - DivProp.Width;
    PanelCmd.Height   := HWin - DivCmd.Top - DivCmd.Height;
    PanelDraw.Height  := HWin - PanelCmd.Height - DivCmd.Height;
    PanelDraw.Width   := PanelBDraw.Width;
    PanelCmd.Width    := PanelBDraw.Width;
    cBar1.Width       := PanelDraw.Width;

    // Design window position
    x := CoolBar1.Width;
    y := cBar1.Height;
    w := PanelDraw.Width  - CoolBar1.Width;
    h := PanelDraw.Height - cBar1.Height - DivCmd.Height;
    lcWndResize( hLcWnd, x, y, w, h );

    CoolBar1.Height := h;

    // "Properties" window position
    x := 0;
    y := 0;
    w := PanelProp.Width;
    h := HWin;
    lcPropwinResize( hLcProp, x, y, w, h );

    // divider "Properties - CAD window"
    x := PanelProp.Width;
    y := HWin;
    h := HWin;
    DivProp.Left   := x;
    DivProp.Top    := y;
    DivProp.Height := h;

    // divider "CommandLine - CAD window"
    x := PanelProp.Width + DivProp.Width;
    y := DivCmd.Top - DivCmd.Height;  //PanelBDraw.Height;
    DivProp.Left := x;
    DivProp.Top  := y;

    // "Command Line" position
    x := 0;
    y := 0;
    h := PanelCmd.Height;
    w := trunc(PanelBDraw.Width);
    lcCmdwinResize( hLcCmd, x, y, w, h );

  end;
  Invalidate();
end;

procedure TFormDraw.btPropertiesClick(Sender: TObject);
begin
  if PanelProp.Width = 0 then
    PanelProp.Width := PanelWidth
  else begin
    PanelProp.Width := 0;
  end;
end;

procedure TFormDraw.DivCmdMoved(Sender: TObject);
begin
  FormResize(Sender);
end;

procedure TFormDraw.DivPropMoved(Sender: TObject);
begin
  FormResize(Sender);
end;

end.
