unit Events;

interface

uses
  Windows, Forms, Dialogs, SysUtils, Litecad;

procedure EventMouseMove (hWnd, Button, Flags, Xwin, Ywin : Integer; X, Y : Double); stdcall;
//------------------------------------------------------
procedure EventAddCommand   (hLcWin : Integer); stdcall;
procedure EventCmdStart     (hLcCmd, Prm : Integer); stdcall;
procedure EventCmdFinish    (hLcCmd: Integer); stdcall;
procedure EventCmdMouseMove (hLcCmd, hDC, Flags, Xwin, Ywin : Integer; X, Y : Double); stdcall;
procedure EventCmdMouseDown (hLcCmd, Button, Flags, Xwin, Ywin : Integer; X, Y : Double); stdcall;
procedure EventCmdMouseUp   (hLcCmd, Button, Flags, Xwin, Ywin : Integer; X, Y : Double); stdcall;
//---------------------------------------------------------------------------------------------------

implementation

uses
  Main, MyCMD, ChildDraw;

procedure EventMouseMove (hWnd, Button, Flags, Xwin, Ywin : Integer; X, Y : Double);
begin
  if hWnd = hLcWnd then
    FormMain.StatusBar.Panels[0].Text  := 'X = ' + FormatFloat('0.000', X) + ', ' + 'Y = ' + FormatFloat('0.000', Y);
end;

//---------------------------------------
procedure EventAddCommand (hLcWin : Integer);
begin
  lcCreateCommand( hLcWin, CMD_SKETCH, 'SKETCH', 0 );
  lcCreateCommand( hLcWin, CMD_FLIP, 'FLIP', 1 );
  lcCreateCommand( hLcWin, CMD_ARROW , 'ARROW', 0 );
  lcCreateCommand( hLcWin, CMD_WALL, 'WALL', 0 );
  lcCreateCommand( hLcWin, CMD_ID, 'ID', 0 );
end;

//--------------------------------------------
procedure EventCmdStart (hLcCmd, Prm : Integer);
begin
  case lcPropGetInt( hLcCmd, LC_PROP_CMD_ID ) of
    CMD_SKETCH : CmdSketch_Start( hLcCmd, Prm );
    CMD_FLIP   : CmdFlip_Start  ( hLcCmd, Prm );
    CMD_ARROW  : CmdArrow_Start ( hLcCmd, Prm );
    CMD_WALL   : CmdWall_Start  ( hLcCmd, Prm );
    CMD_ID     : CmdID_Start    ( hLcCmd, Prm );
  end;
end;

//-----------------------------------------
procedure EventCmdFinish (hLcCmd : Integer);
begin
  case lcPropGetInt( hLcCmd, LC_PROP_CMD_ID ) of
    CMD_SKETCH : CmdSketch_Finish( hLcCmd );
    CMD_FLIP   : CmdFlip_Finish  ( hLcCmd );
    CMD_ARROW  : CmdArrow_Finish ( hLcCmd );
    CMD_WALL   : CmdWall_Finish  ( hLcCmd );
    CMD_ID     : CmdID_Finish    ( hLcCmd );
  end;
end;

//------------------------------------------------------------------------------------------
procedure EventCmdMouseMove (hLcCmd, hDC, Flags, Xwin, Ywin : Integer; X, Y : Double);
begin
  case lcPropGetInt( hLcCmd, LC_PROP_CMD_ID ) of
    CMD_SKETCH : CmdSketch_MouseMove( hLcCmd, hDC, Flags, Xwin, Ywin, X, Y );
    CMD_FLIP   : CmdFlip_MouseMove  ( hLcCmd, hDC, Flags, Xwin, Ywin, X, Y );
    CMD_ARROW  : CmdArrow_MouseMove ( hLcCmd, hDC, Flags, Xwin, Ywin, X, Y );
    CMD_WALL   : CmdWall_MouseMove  ( hLcCmd, hDC, Flags, Xwin, Ywin, X, Y );
    CMD_ID     : CmdID_MouseMove    ( hLcCmd, hDC, Flags, Xwin, Ywin, X, Y );
  end;
end;

//-------------------------------------------------------------------------------------------
procedure EventCmdMouseDown  (hLcCmd, Button, Flags, Xwin, Ywin : Integer; X, Y : Double);
begin
  case lcPropGetInt( hLcCmd, LC_PROP_CMD_ID ) of
    CMD_SKETCH : CmdSketch_MouseDown( hLcCmd, Button, Flags, Xwin, Ywin, X, Y );
    CMD_FLIP   : CmdFlip_MouseDown  ( hLcCmd, Button, Flags, Xwin, Ywin, X, Y );
    CMD_ARROW  : CmdArrow_MouseDown ( hLcCmd, Button, Flags, Xwin, Ywin, X, Y );
    CMD_WALL   : CmdWall_MouseDown  ( hLcCmd, Button, Flags, Xwin, Ywin, X, Y );
    CMD_ID     : CmdID_MouseDown    ( hLcCmd, Button, Flags, Xwin, Ywin, X, Y );
  end;
end;

//----------------------------------------------------------------------------------------
procedure EventCmdMouseUp (hLcCmd, Button, Flags, Xwin, Ywin : Integer; X, Y : Double);
begin
  case lcPropGetInt( hLcCmd, LC_PROP_CMD_ID ) of
    CMD_SKETCH : CmdSketch_MouseUp( hLcCmd, Button, Flags, Xwin, Ywin, X, Y );
    CMD_FLIP   : CmdFlip_MouseUp  ( hLcCmd, Button, Flags, Xwin, Ywin, X, Y );
    CMD_ARROW  : CmdArrow_MouseUp ( hLcCmd, Button, Flags, Xwin, Ywin, X, Y );
    CMD_WALL   : CmdWall_MouseUp  ( hLcCmd, Button, Flags, Xwin, Ywin, X, Y );
    CMD_ID     : CmdID_MouseUp  ( hLcCmd, Button, Flags, Xwin, Ywin, X, Y );
  end;
end;

end.
